<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */

class Creativestyle_AmazonCheckout_Block_Button_Pay extends Creativestyle_AmazonCheckout_Block_Template
{
    /**
     * @inheritDoc
     */
    public function isActive()
    {
        /** @var Creativestyle_AmazonCheckout_Model_Payment $paymentMethodInstance */
        $paymentMethodInstance = Mage::getModel('amazonpay/payment');
        return parent::isActive()
            && $this->_getConfig()->isPayActive()
            && $paymentMethodInstance->isAvailable($this->_getQuote());
    }
}
